Summary:	The (DSPAM) streamlined blackhole list server
Name:		sbl_server
Version:	1.0.0
Release:	%mkrel 1
License:	GPL
Group:		System/Servers
URL:		http://www.nuclearelephant.com/projects/sbl/
Source0:	http://www.nuclearelephant.com/projects/sbl/sources/%{name}-%{version}.tar.bz2
Source1:	sbl_server.init.bz2
Patch0:		sbl_server-1.0.0-mdk_conf.diff.bz2
PreReq:		bind
PreReq:		rpm-helper
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
The streamlined blackhole list server is a real-time,
machine-automated blackhole server designed to blacklist network
addresses which exceed a threshold of network spread - that is,
abuse from an address which has been reported by a number of
participating networks (as opposed to how most other blacklists
function, based on total number of reports). The SBL server
blacklists addresses until they have cleared a minimum duration
(an hour by default) without any additional reports. The SBL is
designed to function via automated machine-learning spam filters,
such as Bayesian filters. Each participating network is granted
write authentication in the SBL, to prevent abuse. A client tool
is also provided.

Machine automation is performed by any statistical filter capable
of dynamically identifying spam, its source network address, and
using the SBL. This doesn't mean, however, that the SBL server
should be limited to tracking only spammers. The DSPAM SBL can
easily be adapted to track any kind of network-based phenomenon
over a large spread or even redesigned to track viruses. 

There are two ways to query the SBL. The first is via DNS. The SBL
supports the same DNS nomenclature most other blackhole lists
support. The second is via TCP stream, which allows very
lightweight, high-speed and high-volume queries. The protocol can
be found in the example client. 

%prep

%setup -q
%patch0 -p0

bzcat %{SOURCE1} > sbl_server.init

%build

%configure2_5x \
    --enable-warnings

%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_sbindir}
install -d %{buildroot}%{_initrddir}
#install -d %{buildroot}%{_var}/log/sbl_server
#install -d %{buildroot}%{_var}/run/sbl_server

install -m0755 sbl_server %{buildroot}%{_sbindir}/
install -m0755 sbl_server.init %{buildroot}%{_initrddir}/sbl_server
install -m0644 sbl_server.conf %{buildroot}%{_sysconfdir}/

#%pre
#%_pre_useradd sbl_server %{_localstatedir}/sbl_server /bin/sh

%post
%_post_service sbl_server

%preun
%_preun_service sbl_server

#%postun
#%_postun_userdel sbl_server

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc CHANGE LICENSE README RELEASE.NOTES
%attr(0755,root,root) %{_initrddir}/sbl_server
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/sbl_server.conf
%attr(0755,root,root) %{_sbindir}/sbl_server
#%attr(0755,named,named) %dir %{_var}/run/sbl_server
#%attr(0755,named,named) %dir %{_var}/log/sbl_server

%changelog
* Mon Mar 14 2005 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.0.0-1mdk
- initial package
- added P0 & S1
